/*******************************************
RGB LED-STRIP FRAME CONTROL
********************************************
HOMS version 1B
Hardware-Oriented Microprocessor
Simulator

(C) Panayotis (Panos) Papazoglou
https://homs.panospapazoglou.gr/

LICENSE: 
Creative Commons
CC BY NC SA
International License
********************************************/
#include <FastLED.h>
#include <Adafruit_NeoPixel.h>

//Set control Pin
#define LED_PIN 8

//Set number of LEDs
#define NUM_LEDS 57

CRGB leds[NUM_LEDS];

void setup() {
  //Initialize LEDs
  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);

  //Set RED color only with low intensity
  int r = 000, g = 0, b = 50;

  //Set the above color intensities to all LEDs
  for (int i = 0; i <= 56; i++) {
    leds[i] = CRGB(r, g, b);

    //Light-up LEDs
    FastLED.show();
  }
}

void loop() {
  
}
